<%@ page contentType="text/html;charset=GBK" %>
<%
/**
 * $RCSfile: setup2.jsp,v $
 * $Revision: 1.1.1.1 $
 * $Date: 2002/09/09 13:50:21 $
 *
 * Copyright (C) 1999-2001 CoolServlets, Inc. All rights reserved.
 *
 * This software is the proprietary information of CoolServlets, Inc.
 * Use is subject to license terms.
 */
%>

<%@ page import="java.io.*,
                 java.util.*,
                 java.lang.reflect.*,
                 com.jivesoftware.forum.*,
                 com.jivesoftware.forum.util.*"
%>

<%  // Get the global Jive locale
	Locale locale = JiveGlobals.getLocale();
	// Set the JSP page to use the Jive locale
	response.setLocale(locale);
	// Load the appropriate resource bundle to display the page.
	ResourceBundle bundle = SkinUtils.getResourceBundle("skin_admin_setup", locale);

    // Set the locale
	String language = ParamUtils.getParameter(request,"language");
	if (language != null) {
		if ("English".equals(language)) {
			JiveGlobals.setLocale(Locale.US);
		}
		else if ("French".equals(language)) {
			JiveGlobals.setLocale(Locale.FRENCH);
		}
        // mark this section as finished
        session.setAttribute("sidebar.1.light", GREEN);
		response.sendRedirect("setup3.jsp");
        return;
	}
%>

<%@ include file="global.jsp" %>

<%@ include file="header.jsp" %>

<table cellpadding="6" cellspacing="0" border="0" width="100%">
<tr>
<td width="1%" valign="top">
<%  // set sidebar properties
    session.setAttribute("sidebar.1.active", new Boolean(true));
    if (!GREEN.equals(getSessionString(session,"sidebar.1.light"))) {
        session.setAttribute("sidebar.1.light", YELLOW);
    }
%>
<%@ include file="sidebar.jsp" %>
</td>
<td width="99%" valign="top">

    <b>语言设置</b>
    <hr size="0">

    <font size="-1">
    请选择一个你希望Jive使用的语言。以后你可以使用管理工具随时修改语言设置。

    <ul>
	<form action="setup2.jsp">
	<input type="radio" id="rb01" name="language" value="English"<%= locale.equals(Locale.US)?" checked":"" %>>
	<label for="rb01">English</label>
	<!--
   <br>
	<input type="radio" id="rb03" name="language" value="Chinese"<%= locale.equals(Locale.CHINESE)?" checked":"" %>>
	<label for="rb03"><img src="images/chinese.gif" width="32" height="15" alt="Chinese" border="0"> (中文)</label>
 <p>
 -->
    <font size="-2">
    (更多语言增加中)
    </font>
    <%--
    <br>
	<input type="radio" id="rb02" name="language" value="French"<%= locale.equals(Locale.FRENCH)?" checked":"" %>>
	<label for="rb02">Fran&ccedil;ais</label>
        <br>
    --%>
    </ul>
    </font>

    <hr size="0">
    <div align="center">
    <input type="submit" value="继续">
    </form>
    </div>

<%@ include file="footer.jsp" %>

</td>
</tr>
</table>


